# Visualization
TKV3d
Prs3d

# Prs3d_TextAspect Class Reference

Defines the attributes when displaying a text.
.

`#include <Prs3d_TextAspect.hxx>`

Inheritance diagram for Prs3d_TextAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_TextAspect ()
| Constructs an empty framework for defining display attributes of text. .
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT void | SetColor (const Quantity_NameOfColor aColor)
| Sets the color of the type used in text display. .
Standard_EXPORT void | SetFont (const Graphic3d_NameOfFont aFont)
| Sets the font used in text display. .
Standard_EXPORT void | SetHeightWidthRatio (const Standard_Real aRatio)
| Returns the height-width ratio, also known as the expansion factor. .
Standard_EXPORT void | SetSpace (const Quantity_Length aSpace)
| Sets the length of the box which text will occupy. .
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
| Sets the height of the text. .
Standard_EXPORT void | SetAngle (const Quantity_PlaneAngle anAngle)
| Sets the angle .
Standard_EXPORT Standard_Real | Height () const
| Returns the height of the text box. .
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| Returns the angle .
Standard_EXPORT void | SetHorizontalJustification (const Graphic3d_HorizontalTextAlignment aJustification)
| Sets horizontal alignment of text. .
Standard_EXPORT void | SetVerticalJustification (const Graphic3d_VerticalTextAlignment aJustification)
| Sets the vertical alignment of text. .
Standard_EXPORT void | SetOrientation (const Graphic3d_TextPath anOrientation)
| Sets the orientation of text. .
Standard_EXPORT Graphic3d_HorizontalTextAlignment | HorizontalJustification () const
| Returns the horizontal alignment of the text. The range of values includes: - left - center - right, and - normal (justified). .
Standard_EXPORT Graphic3d_VerticalTextAlignment | VerticalJustification () const
| Returns the vertical alignment of the text. The range of values includes: - normal - top - cap - half - base - bottom .
Standard_EXPORT Graphic3d_TextPath | Orientation () const
| Returns the orientation of the text. Text can be displayed in the following directions: - up - down - left, or - right .
Standard_EXPORT Handle_Graphic3d_AspectText3d | Aspect () const
| Returns the purely textual attributes used in the display of text. These include: - color - font - height/width ratio, that is, the expansion factor, and - space between characters. .
Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_AspectText3d | myTextAspect
Quantity_PlaneAngle | myAngle
Standard_Real | myHeight
Graphic3d_HorizontalTextAlignment | myHorizontalJustification
Graphic3d_VerticalTextAlignment | myVerticalJustification
Graphic3d_TextPath | myOrientation

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_TextAspect::Prs3d_TextAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle Prs3d_TextAspect::Angle | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_AspectText3d Prs3d_TextAspect::Aspect | ( |  | ) | const

Standard_EXPORT const Prs3d_TextAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_BasicAspect.

Standard_EXPORT Standard_Real Prs3d_TextAspect::Height | ( |  | ) | const

Standard_EXPORT Graphic3d_HorizontalTextAlignment Prs3d_TextAspect::HorizontalJustification | ( |  | ) | const

Standard_EXPORT Graphic3d_TextPath Prs3d_TextAspect::Orientation | ( |  | ) | const

Standard_EXPORT void Prs3d_TextAspect::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT void Prs3d_TextAspect::SetAngle | ( | const Quantity_PlaneAngle | anAngle | ) |

Standard_EXPORT void Prs3d_TextAspect::SetColor | ( | const Quantity_NameOfColor | aColor | ) |

Standard_EXPORT void Prs3d_TextAspect::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Prs3d_TextAspect::SetFont | ( | const Graphic3d_NameOfFont | aFont | ) |

Standard_EXPORT void Prs3d_TextAspect::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void Prs3d_TextAspect::SetHeightWidthRatio | ( | const Standard_Real | aRatio | ) |

Standard_EXPORT void Prs3d_TextAspect::SetHorizontalJustification | ( | const Graphic3d_HorizontalTextAlignment | aJustification | ) |

Standard_EXPORT void Prs3d_TextAspect::SetOrientation | ( | const Graphic3d_TextPath | anOrientation | ) |

Standard_EXPORT void Prs3d_TextAspect::SetSpace | ( | const Quantity_Length | aSpace | ) |

Standard_EXPORT void Prs3d_TextAspect::SetVerticalJustification | ( | const Graphic3d_VerticalTextAlignment | aJustification | ) |

Standard_EXPORT Graphic3d_VerticalTextAlignment Prs3d_TextAspect::VerticalJustification | ( |  | ) | const

## Field Documentation

Quantity_PlaneAngle Prs3d_TextAspect::myAngle `[private]`

Standard_Real Prs3d_TextAspect::myHeight `[private]`

Graphic3d_HorizontalTextAlignment Prs3d_TextAspect::myHorizontalJustification `[private]`

Graphic3d_TextPath Prs3d_TextAspect::myOrientation `[private]`

Handle_Graphic3d_AspectText3d Prs3d_TextAspect::myTextAspect `[private]`

Graphic3d_VerticalTextAlignment Prs3d_TextAspect::myVerticalJustification `[private]`

The documentation for this class was generated from the following file:

- Prs3d_TextAspect.hxx